List environments
curl --request GET \
--url https://api.app.chainloop.dev/v1/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.chainloop.dev/v1/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.chainloop.dev/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"total_count": 1,
"page": 4,
"total_pages": 1,
"page_size": 7
},
"environments": [
{
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"type": "ENVIRONMENT_TYPE_UNSPECIFIED"
},
{
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"type": "ENVIRONMENT_TYPE_UNSPECIFIED"
}
]
}{
"code": 0,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 6,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 1,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
"details",
"details"
],
"message": "message"
}{
"code": 5,
"details": [
{
"@type": "@type"
},
{
"@type": "@type"
}
],
"message": "message"
}List environments
Retrieves a paginated list of environments with optional filtering by name or description.
GET
/
v1
/
environments
List environments
Authorizations
Bearer token for authentication
Query Parameters
The (zero-based) offset of the first item returned in the collection.
The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Query string to search across environment name and description (case-insensitive)
Response
A successful response.
⌘I
